<div class="grid">
	<header class="row no-padding clearfix">
		<div class="col-1"><h2>Ny Ägare</h2></div>
	</header>


	<div class="row clearfix">
		<div svab-feedback-target="owner.get"></div>


		<div class="col-1">
			<form name="ownerForm" novalidate>
				<div svab-feedback-target="owner.update"></div>
				<div svab-feedback-target="owner.create"></div>

				<fieldset>
					<p class="col-1" ng-hide="createMode">
						<strong ng-show="owner.firstName">Personnr</strong>
						<strong ng-hide="owner.firstName">Orgnr</strong>
						{{owner.ownerId}} </p>

					<div class="col-1" ng-show="createMode">
						<p>
							<label>
								<span ng-show="owner.personOrCompany == 1">Personnr</span>
								<span ng-show="owner.personOrCompany == 2">Orgnr</span>
							</label><input disabled="disabled" type="text" name="ownerId" ng-model="owner.ownerId"/>
						</p>

						<div ng-messages="ownerForm.ownerId.$error" ng-show="ownerForm.ownerId.$touched">
							<p class="form-feedback error" ng-message="required">Ange
								<span ng-show="owner.personOrCompany == 1">personnr</span>
								<span ng-show="owner.personOrCompany == 2">orgnr</span>
							</p>
							<p class="form-feedback error" ng-message="pattern">
								<span ng-show="owner.personOrCompany == 1">Personnummer skrivs på formen ÅÅÅÅMMDDXXXX</span>
								<span ng-show="owner.personOrCompany == 2">Orgnr skrivs som tio tecken utan bindestreck</span>
							</p>
						</div>
					</div>
				</fieldset>

				<fieldset>
					<legend >Kontaktuppgifter</legend>
					<div ng-show="owner.personOrCompany == 1" class="col-1">
						<p><label class="form-required">Förnamn</label><input name="firstName"
						                                                      ng-model="owner.firstName"
						                                                      placeholder="Förnamn"
						                                                      ng-required="owner.personOrCompany == 1"/>
						</p>

						<div ng-messages="ownerForm.firstName.$error" ng-show="ownerForm.firstName.$touched">
							<p class="form-feedback error" ng-message="required">Ange förnamn</p>
						</div>
					</div>

					<div class="col-1" ng-show="owner.personOrCompany == 1">
						<p><label class="form-required">Efternamn</label><input name="lastName"
						                                                        ng-model="owner.lastName"
						                                                        placeholder="Efternamn"
						                                                        ng-required="owner.personOrCompany == 1"/>
						</p>

						<div ng-messages="ownerForm.lastName.$error" ng-show="ownerForm.lastName.$touched">
							<p class="form-feedback error" ng-message="required">Ange efternamn</p>
						</div>
					</div>
					<div class="col-1" ng-show="owner.personOrCompany == 2">
						<p><label class="form-required">Företagsnamn</label><input name="coName"
						                                                           ng-model="owner.lastName"
						                                                           placeholder="Företagsnamn"
						                                                           ng-required="owner.personOrCompany == 2"/>
						</p>

						<div ng-messages="ownerForm.coName.$error" ng-show="ownerForm.coName.$touched">
							<p class="form-feedback error" ng-message="required">Ange företagsnamn</p>
						</div>
					</div>

					<div class="col-1">
						<p><label>Telefonnummer</label><input name="contactDetailsPhoneNumbe"
						                                      ng-model="owner.contactDetails.phoneNumber"
						                                      placeholder="Telefonnr" />
						</p>
					</div>

					<div class="col-1">
						<p><label>Email</label><input type="email"
						                              name="contactDetailsEmail"
						                              ng-model="owner.contactDetails.email"
						                              placeholder="lorem@ipsum.se"/>
						</p>
					</div>
				</fieldset>

				<fieldset>
					<legend>
						<span ng-show="owner.personOrCompany == 1">Postadress</span>
						<span ng-show="owner.personOrCompany == 2">Företagets adress</span>
					</legend>
					<div class="col-1">
						<p>
							<label>c/o</label>
							<input 
								type="text" 
								name="primaryAddressCOAddress" 
								ng-model="owner.primaryAddress.cOAddress" 
								placeholder="c/o"/>
						</p>
					</div>
					<div class="col-1" ng-show="owner.personOrCompany == 1">
						<p>
							<label class="form-required">Adress</label>
							<input 
								type="text" 
								name="primaryAddressStreetAddress" 
								ng-model="owner.primaryAddress.streetAddress" 
								placeholder="Adress" 
								ng-required ="owner.personOrCompany ==1"/>
						</p>
						<div ng-messages="ownerForm.primaryAddressStreetAddress.$error" ng-show="ownerForm.primaryAddressStreetAddress.$touched">
							<p class="form-feedback error" ng-message="required">Ange adress</p>
						</div>
					</div>
					<div class="col-1" ng-show="owner.personOrCompany == 2">
						<p>
							<label>Adress</label>
							<input 
								type="text" 
								name="coStreetAddress" 
								ng-model="owner.primaryAddress.streetAddress" 
								placeholder="Adress"/>
						</p>
					</div>
					<div class="col-1">
						<p>
							<label class="form-required">Postnr</label>
							<input 
								type="text" 
								name="primaryAddressZipCode" 
								ng-model="owner.primaryAddress.zipCode" 
								placeholder="12345" 
								ng-pattern="/^\d{3}[ ]?\d{2}$/"
								required/>
						</p>
						<div ng-messages="ownerForm.primaryAddressZipCode.$error" ng-show="ownerForm.primaryAddressZipCode.$touched">
							<p class="form-feedback error" ng-message="required">Ange postnummer</p>
							<p class="form-feedback error" ng-message="pattern">Ange postnummer med 5 siffror</p>
						</div>
					</div>
					<div class="col-1">
						<p>
							<label class="form-required">Postort</label>
							<input 
								type="text" 
								name="primaryAddressCity" 
								ng-model="owner.primaryAddress.city" 
								placeholder="Postort" 
								required/>
						</p>
						<div ng-messages="ownerForm.primaryAddressCity.$error" ng-show="ownerForm.primaryAddressCity.$touched">
							<p class="form-feedback error" ng-message="required">Ange postort</p>
						</div>
					</div>
					<div class="col-1">
						<p>
							<label>Land</label>
							<input
								type="text"
								name="primaryAddressCountry"
								ng-model="owner.primaryAddress.country"
								placeholder="Land">
					</div>
				</fieldset>

				<div class="col-1 buttons">
					<button ng-hide="fromTransaction" class="col-1 update" type="submit" ng-click="save(owner, ownerForm)">Spara</button>
					<button ng-show="fromTransaction" class="col-1 update" type="submit" ng-click="save(owner, ownerForm)">Nästa</button>
				</div>


			</form>
		</div>

	</div>
</div>
